<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.346
Name: VACC - SubstanceAdministration - Dati Vaccinazione
Description: Template CDA SubstanceAdministration (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610">
   <title>VACC - SubstanceAdministration - Dati Vaccinazione</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.346
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]
Item: (VACC - SubstanceAdministration - Dati Vaccinazione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]"
         id="d44e1534-false-d22742e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="count(hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]) &gt;= 1">(VACC - SubstanceAdministration - Dati Vaccinazione): element hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="count(hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]) &lt;= 1">(VACC - SubstanceAdministration - Dati Vaccinazione): element hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.346
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]
Item: (VACC - SubstanceAdministration - Dati Vaccinazione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]"
         id="d44e1552-false-d22795e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="string(@classCode) = ('SBADM')">(VACC - SubstanceAdministration - Dati Vaccinazione): The value for classCode SHALL be 'SBADM'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="string(@moodCode) = ('EVN')">(VACC - SubstanceAdministration - Dati Vaccinazione): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']) &gt;= 1">(VACC - SubstanceAdministration - Dati Vaccinazione): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']) &lt;= 1">(VACC - SubstanceAdministration - Dati Vaccinazione): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="count(hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]) &gt;= 1">(VACC - SubstanceAdministration - Dati Vaccinazione): element hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="count(hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]) &lt;= 1">(VACC - SubstanceAdministration - Dati Vaccinazione): element hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="count(hl7:effectiveTime) &gt;= 1">(VACC - SubstanceAdministration - Dati Vaccinazione): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="count(hl7:effectiveTime) &lt;= 1">(VACC - SubstanceAdministration - Dati Vaccinazione): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="count(hl7:routeCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.14581-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(VACC - SubstanceAdministration - Dati Vaccinazione): element hl7:routeCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.14581-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="count(hl7:approachSiteCode) &lt;= 1">(VACC - SubstanceAdministration - Dati Vaccinazione): element hl7:approachSiteCode appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="count(hl7:doseQuantity) &lt;= 1">(VACC - SubstanceAdministration - Dati Vaccinazione): element hl7:doseQuantity appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="count(hl7:consumable[@typeCode = 'CSM'][hl7:manufacturedProduct]) &gt;= 1">(VACC - SubstanceAdministration - Dati Vaccinazione): element hl7:consumable[@typeCode = 'CSM'][hl7:manufacturedProduct] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="count(hl7:consumable[@typeCode = 'CSM'][hl7:manufacturedProduct]) &lt;= 1">(VACC - SubstanceAdministration - Dati Vaccinazione): element hl7:consumable[@typeCode = 'CSM'][hl7:manufacturedProduct] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3']]]) &lt;= 1">(VACC - SubstanceAdministration - Dati Vaccinazione): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]]) &lt;= 1">(VACC - SubstanceAdministration - Dati Vaccinazione): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.5']]]) &lt;= 1">(VACC - SubstanceAdministration - Dati Vaccinazione): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.5']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.6']]]) &lt;= 1">(VACC - SubstanceAdministration - Dati Vaccinazione): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.6']]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.346
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']
Item: (VACC - SubstanceAdministration - Dati Vaccinazione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']"
         id="d44e1607-false-d22928e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.11.4.1')">(VACC - SubstanceAdministration - Dati Vaccinazione): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.11.4.1'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.346
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]
Item: (VACC - SubstanceAdministration - Dati Vaccinazione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]"
         id="d44e1612-false-d22942e0">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(VACC - SubstanceAdministration - Dati Vaccinazione): The element value SHALL be one of '2.16.840.1.113883.1.11.15933 ActStatus (DYNAMIC)'.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="string(@code) = ('completed')">(VACC - SubstanceAdministration - Dati Vaccinazione): The value for code SHALL be 'completed'. Found: "<value-of select="@code"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.346
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:effectiveTime
Item: (VACC - SubstanceAdministration - Dati Vaccinazione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.346
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:routeCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.14581-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (VACC - SubstanceAdministration - Dati Vaccinazione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:routeCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.14581-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d44e1636-false-d22973e0">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.14581-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(VACC - SubstanceAdministration - Dati Vaccinazione): The element value SHALL be one of '2.16.840.1.113883.1.11.14581 RouteOfAdministration (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.346
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:approachSiteCode
Item: (VACC - SubstanceAdministration - Dati Vaccinazione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.346
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:doseQuantity
Item: (VACC - SubstanceAdministration - Dati Vaccinazione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.346
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:consumable[@typeCode = 'CSM'][hl7:manufacturedProduct]
Item: (VACC - SubstanceAdministration - Dati Vaccinazione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:consumable[@typeCode = 'CSM'][hl7:manufacturedProduct]"
         id="d44e1675-false-d23006e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="string(@typeCode) = ('CSM')">(VACC - SubstanceAdministration - Dati Vaccinazione): The value for typeCode SHALL be 'CSM'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="count(hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']]]) &gt;= 1">(VACC - SubstanceAdministration - Dati Vaccinazione): element hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="count(hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']]]) &lt;= 1">(VACC - SubstanceAdministration - Dati Vaccinazione): element hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.346
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:consumable[@typeCode = 'CSM'][hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']]]
Item: (VACC - SubstanceAdministration - Dati Vaccinazione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:consumable[@typeCode = 'CSM'][hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']]]"
         id="d44e1685-false-d23028e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="count(hl7:manufacturedMaterial[hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']]) &gt;= 1">(VACC - SubstanceAdministration - Dati Vaccinazione): element hl7:manufacturedMaterial[hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="count(hl7:manufacturedMaterial[hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']]) &lt;= 1">(VACC - SubstanceAdministration - Dati Vaccinazione): element hl7:manufacturedMaterial[hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="count(hl7:manufacturerOrganization) &lt;= 1">(VACC - SubstanceAdministration - Dati Vaccinazione): element hl7:manufacturerOrganization appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.346
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:consumable[@typeCode = 'CSM'][hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']]]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']]
Item: (VACC - SubstanceAdministration - Dati Vaccinazione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:consumable[@typeCode = 'CSM'][hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']]]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']]"
         id="d44e1687-false-d23052e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="count(hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']) &gt;= 1">(VACC - SubstanceAdministration - Dati Vaccinazione): element hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="count(hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']) &lt;= 1">(VACC - SubstanceAdministration - Dati Vaccinazione): element hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5'] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.346
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:consumable[@typeCode = 'CSM'][hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']]]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']]/hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']
Item: (VACC - SubstanceAdministration - Dati Vaccinazione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:consumable[@typeCode = 'CSM'][hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']]]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']]/hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']"
         id="d44e1689-false-d23073e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="@code">(VACC - SubstanceAdministration - Dati Vaccinazione): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="not(@code) or (string-length(@code) &gt; 0 and not(matches(@code,'\s')))">(VACC - SubstanceAdministration - Dati Vaccinazione): Attribute @code SHALL be of data type 'cs'  - '<value-of select="@code"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.2.9.6.1.5')">(VACC - SubstanceAdministration - Dati Vaccinazione): The value for codeSystem SHALL be '2.16.840.1.113883.2.9.6.1.5'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(VACC - SubstanceAdministration - Dati Vaccinazione): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(VACC - SubstanceAdministration - Dati Vaccinazione): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.346
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:consumable[@typeCode = 'CSM'][hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']]]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']]/hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']/hl7:traslation
Item: (VACC - SubstanceAdministration - Dati Vaccinazione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:consumable[@typeCode = 'CSM'][hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']]]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']]/hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']/hl7:traslation"
         id="d44e1713-false-d23099e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="@code">(VACC - SubstanceAdministration - Dati Vaccinazione): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="not(@code) or (string-length(@code) &gt; 0 and not(matches(@code,'\s')))">(VACC - SubstanceAdministration - Dati Vaccinazione): Attribute @code SHALL be of data type 'cs'  - '<value-of select="@code"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="@codeSystem">(VACC - SubstanceAdministration - Dati Vaccinazione): attribute @codeSystem SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@codeSystem,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@codeSystem,'^[A-Za-z][A-Za-z\d\-]*$')">(VACC - SubstanceAdministration - Dati Vaccinazione): Attribute @codeSystem SHALL be of data type 'uid'  - '<value-of select="@codeSystem"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(VACC - SubstanceAdministration - Dati Vaccinazione): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(VACC - SubstanceAdministration - Dati Vaccinazione): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.346
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:consumable[@typeCode = 'CSM'][hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']]]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']]/hl7:lotNumberText
Item: (VACC - SubstanceAdministration - Dati Vaccinazione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.346
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:consumable[@typeCode = 'CSM'][hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']]]/hl7:manufacturerOrganization
Item: (VACC - SubstanceAdministration - Dati Vaccinazione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:consumable[@typeCode = 'CSM'][hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']]]/hl7:manufacturerOrganization"
         id="d44e1741-false-d23131e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="count(hl7:name) &gt;= 1">(VACC - SubstanceAdministration - Dati Vaccinazione): element hl7:name is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.346
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:consumable[@typeCode = 'CSM'][hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']]]/hl7:manufacturerOrganization/hl7:id
Item: (VACC - SubstanceAdministration - Dati Vaccinazione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.346
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:consumable[@typeCode = 'CSM'][hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']]]/hl7:manufacturerOrganization/hl7:name
Item: (VACC - SubstanceAdministration - Dati Vaccinazione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.346
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:participant[@typeCode = 'LOC'][hl7:participantRole]
Item: (VACC - SubstanceAdministration - Dati Vaccinazione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:participant[@typeCode = 'LOC'][hl7:participantRole]"
         id="d44e1778-false-d23165e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="string(@typeCode) = ('LOC')">(VACC - SubstanceAdministration - Dati Vaccinazione): The value for typeCode SHALL be 'LOC'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="count(hl7:participantRole) &gt;= 1">(VACC - SubstanceAdministration - Dati Vaccinazione): element hl7:participantRole is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="count(hl7:participantRole) &lt;= 1">(VACC - SubstanceAdministration - Dati Vaccinazione): element hl7:participantRole appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.346
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:participant[@typeCode = 'LOC'][hl7:participantRole]/hl7:participantRole
Item: (VACC - SubstanceAdministration - Dati Vaccinazione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:participant[@typeCode = 'LOC'][hl7:participantRole]/hl7:participantRole"
         id="d44e1788-false-d23185e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="string(@classCode) = ('ROL') or not(@classCode)">(VACC - SubstanceAdministration - Dati Vaccinazione): The value for classCode SHALL be 'ROL'. Found: "<value-of select="@classCode"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.346
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:participant[@typeCode = 'LOC'][hl7:participantRole]/hl7:participantRole/hl7:id
Item: (VACC - SubstanceAdministration - Dati Vaccinazione)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.346
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3']]]
Item: (VACC - SubstanceAdministration - Dati Vaccinazione)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="string(@typeCode) = ('SUBJ')">(VACC - SubstanceAdministration - Dati Vaccinazione): The value for typeCode SHALL be 'SUBJ'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="string(@inversionInd) = ('true')">(VACC - SubstanceAdministration - Dati Vaccinazione): The value for inversionInd SHALL be 'true'. Found: "<value-of select="@inversionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.346
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]]
Item: (VACC - SubstanceAdministration - Dati Vaccinazione)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="string(@typeCode) = ('REFR')">(VACC - SubstanceAdministration - Dati Vaccinazione): The value for typeCode SHALL be 'REFR'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="string(@inversionInd) = ('false') or not(@inversionInd)">(VACC - SubstanceAdministration - Dati Vaccinazione): The value for inversionInd SHALL be 'false'. Found: "<value-of select="@inversionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.346
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.5']]]
Item: (VACC - SubstanceAdministration - Dati Vaccinazione)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.5']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="string(@typeCode) = ('RSON')">(VACC - SubstanceAdministration - Dati Vaccinazione): The value for typeCode SHALL be 'RSON'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="string(@inversionInd) = ('false') or not(@inversionInd)">(VACC - SubstanceAdministration - Dati Vaccinazione): The value for inversionInd SHALL be 'false'. Found: "<value-of select="@inversionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.346
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.6']]]
Item: (VACC - SubstanceAdministration - Dati Vaccinazione)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.6']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="string(@typeCode) = ('RSON')">(VACC - SubstanceAdministration - Dati Vaccinazione): The value for typeCode SHALL be 'RSON'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="string(@inversionInd) = ('false') or not(@inversionInd)">(VACC - SubstanceAdministration - Dati Vaccinazione): The value for inversionInd SHALL be 'false'. Found: "<value-of select="@inversionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.346
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.8']]]
Item: (VACC - SubstanceAdministration - Dati Vaccinazione)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.8']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="string(@typeCode) = ('CAUS')">(VACC - SubstanceAdministration - Dati Vaccinazione): The value for typeCode SHALL be 'CAUS'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="string(@inversionInd) = ('false') or not(@inversionInd)">(VACC - SubstanceAdministration - Dati Vaccinazione): The value for inversionInd SHALL be 'false'. Found: "<value-of select="@inversionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.346
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.9']]]
Item: (VACC - SubstanceAdministration - Dati Vaccinazione)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.9']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="string(@typeCode) = ('RSON')">(VACC - SubstanceAdministration - Dati Vaccinazione): The value for typeCode SHALL be 'RSON'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250502T151003/tmp-2.16.840.1.113883.3.1937.777.63.10.346-2023-07-26T172610.html"
              test="string(@inversionInd) = ('false') or not(@inversionInd)">(VACC - SubstanceAdministration - Dati Vaccinazione): The value for inversionInd SHALL be 'false'. Found: "<value-of select="@inversionInd"/>"</assert>
   </rule>
</pattern>
